
Summary: text mode spreadsheet calculator, (curses based)
Name: sc
Version: 6.21
Release: 4
Vendor: John C. Peterson <jaypee@netcom.com>
Copyright: Public Domain
Group: Applications/Spreadsheets
Source: ftp://wuarchive.wustl.edu/usenet/comp.sources.misc/volume20/sc/sc-6.21.tar.gz
Patch: sc-6.21-linux.patch
Buildroot: /tmp/build_root

%description
The spreadsheet calculator sc is based on rectangular tables, much
like a financial spreadsheet. When invoked it presents you with a table
organized as rows and columns of cells. Each cell may have associated
with it a numeric value, a label string, and/or an expression (formula)
which evaluates to a numeric value or label string, often based on other
cell values. To use the encryption features, you will need UNIX crypt
installed as /usr/bin/crypt. If you don't have crypt, a public domain
replacement can be obtained from the "enigma" package. For an on-line
tutorial on sc, type the command:

                       sc /usr/lib/sc/tutorial.sc

This is a much modified version of a public domain spread sheet
originally authored by James Gosling. It was subsequently modified
and posted to USENET by Mark Weiser under the name vc. The program was
subsequently renamed sc, and further modified by Jeff Buhrt and Robert
Bond with the help of numerous contributors. Release 6.16 of sc was
posted to comp.sources.misc, vol 20, on about Jun 4 1991.  There were
4 sets of patches later posted to the same group: 6.16->6.17 (vol 22),
6.17->6.18 (vol 22), 6.18->6.19 (vol 23), and 6.19->6.21 (vol 30). The
tar file in the source distribution has all patches up to 6.21 already
applied.

%prep
%setup -c
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/sc
install -d $RPM_BUILD_ROOT/usr/man/man1
# do not define LIBDIR, since it goes into the man page
make install EXDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT/usr/man/man1 MANEXT=1
touch -r sc.doc $RPM_BUILD_ROOT/usr/man/man1/sc.1
touch -r psc.doc $RPM_BUILD_ROOT/usr/man/man1/psc.1
cp -p tutorial.sc $RPM_BUILD_ROOT/usr/lib/sc   # install tutorial "by hand"
chmod 644 $RPM_BUILD_ROOT/usr/lib/sc/tutorial.sc

%files
%doc CHANGES README
/usr/bin/psc
/usr/bin/sc
/usr/bin/scqref
/usr/lib/sc/tutorial.sc
/usr/man/man1/psc.1
/usr/man/man1/sc.1
